% Just to prove it all works...



:- module main.

:- interface.

:- import_module io.

:- pred main(io__state, io__state).
:- mode main(di, uo) is det.



:- implementation.

:- import_module battle.
:- import_module rwab1, rwab1__silly, rwab1__human, rwab1__robot, rwab1__logging.

main -->
	{ human(A0) },
	logging(A0, "/tmp/human.log", A),
	{ robot(B0) },
	logging(B0, "/tmp/robot.log", B),
	play_battleships(A, B).



