%------------------------------------------------------------------------------%
%------------------------------------------------------------------------------%
%
% Module: rwab1
% Author: Ralph Becket <rwab1@cam.sri.com>
%
%   This module provides a harness for Peter Ross' implementation of the
%   silly player typeclass instance as well as my own human, robot and
%   logging instances.
%
%------------------------------------------------------------------------------%
%------------------------------------------------------------------------------%

:- module rwab1.

:- interface.

:- include_module rwab1__silly, rwab1__human, rwab1__robot, rwab1__logging.

:- import_module  rwab1__silly, rwab1__human, rwab1__robot, rwab1__logging.

%------------------------------------------------------------------------------%
%------------------------------------------------------------------------------%

:- implementation.

:- import_module  battle.

:- include_module rwab1__view.

